
import request from '/@/utils/request';
/**
 * 公共参数
 * @method getList 获取列表
 * @method getcaptcha 获取后端公共密钥
 */
export function getmonth() {
    return {
        getList: (params?: object) => {
            return request({
                url: 'forms/monthly',
                method: 'get',
                params,
            });
        },
        // 退回
        examineup: (params?: object) => {
            return request({
                url: 'forms/monthly/examine',
                method: 'get',
                params,
            });
        },
        // 点击详情
        getDetail: (params?: string) => {
            return request({
                url: 'forms/monthly/' + params,
                method: 'get',
            });
        },
        download: (urls: string) => {
            return request({
                url: urls,
                method: 'get',
                responseType: 'blob',
            });
        },
        downloadUrl: (id: string, type: string | number) => {
            return import.meta.env.VITE_API_URL + 'forms/monthly/exportExcel/?id=' + id + '&reportType=' + type
        },
    };
}
